Index: /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limmsh_2.F90
===================================================================
--- /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limmsh_2.F90	(revision 1854)
+++ /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limmsh_2.F90	(revision 1855)
@@ -4,4 +4,7 @@
    !! LIM 2.0 ice model :   definition of the ice mesh parameters
    !!======================================================================
+   !! ** History :  LIM  ! 2001-04 (UCL)  original code
+   !!               2.0  ! 2002-08 (C. Ethe, G. Madec) F90, module
+   !!----------------------------------------------------------------------
 #if defined key_lim2
    !!----------------------------------------------------------------------
@@ -10,5 +13,4 @@
    !!   lim_msh_2   : definition of the ice mesh
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE phycst
    USE dom_oce
@@ -20,11 +22,10 @@
    PRIVATE
 
-   !! * Accessibility
-   PUBLIC lim_msh_2      ! routine called by ice_ini_2.F90
-
-   !!----------------------------------------------------------------------
-   !!   LIM 2.0,  UCL-LOCEAN-IPSL (2005) 
+   PUBLIC   lim_msh_2   ! routine called by ice_ini_2.F90
+
+   !!----------------------------------------------------------------------
+   !! NEMO/LIM 3.3,  UCL-LOCEAN-IPSL (2010) 
    !! $Id$
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -42,20 +43,10 @@
       !!              - Initialization of the ice masks (tmsk, umsk)
       !! 
-      !! ** Refer.  : Deleersnijder et al. Ocean Modelling 100, 7-10 
-      !!
-      !! ** History :
-      !!         original    : 01-04 (LIM)
-      !!         addition    : 02-08 (C. Ethe, G. Madec)
+      !! Reference  : Deleersnijder et al. Ocean Modelling 100, 7-10 
       !!--------------------------------------------------------------------- 
-      !! * Local variables
-      INTEGER :: ji, jj      ! dummy loop indices
-
-      REAL(wp), DIMENSION(jpi,jpj) ::  &
-         zd2d1 , zd1d2       ! Derivative of zh2 (resp. zh1) in the x direction
-         !                   ! (resp. y direction) (defined at the center)
-      REAL(wp) ::         &
-         zh1p  , zh2p   , &  ! Idem zh1, zh2 for the bottom left corner of the grid
-         zd2d1p, zd1d2p , &  ! Idem zd2d1, zd1d2 for the bottom left corner of the grid
-         zusden, zusden2     ! temporary scalars
+      INTEGER  ::   ji, jj   ! dummy loop indices
+      REAL(wp) ::   zh1p, zd1d2p, zusden    ! temporary scalars
+      REAL(wp) ::   zh2p, zd2d1p, zusden2   !    -         -
+      REAL(wp), DIMENSION(jpi,jpj) ::   zd2d1 , zd1d2   ! 2D workspace
       !!---------------------------------------------------------------------
 
@@ -112,8 +103,8 @@
       !-------------------
 !!ibug ???
-      akappa(:,:,:,:) = 0.e0
-      wght(:,:,:,:) = 0.e0
+      akappa(:,:,:,:)     = 0.e0
+      wght  (:,:,:,:)     = 0.e0
       alambd(:,:,:,:,:,:) = 0.e0
-      tmu(:,:) = 0.e0
+      tmu   (:,:)         = 0.e0
 !!i
       
@@ -238,10 +229,7 @@
          END DO
       END DO
-      
-      !--lateral boundary conditions    
-      CALL lbc_lnk( tmu(:,:), 'I', 1. )
-      
-      ! unmasked and masked area of T-grid cell
-      area(:,:) = e1t(:,:) * e2t(:,:)
+      CALL lbc_lnk( tmu(:,:), 'I', 1. )      !--lateral boundary conditions    
+      
+      area(:,:) = e1t(:,:) * e2t(:,:)        ! unmasked and masked area of T-grid cell
       
    END SUBROUTINE lim_msh_2
@@ -251,7 +239,4 @@
    !!   Default option            Dummy Module         NO LIM sea-ice model
    !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE lim_msh_2           ! Dummy routine
-   END SUBROUTINE lim_msh_2
 #endif
 
Index: /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limrhg_2.F90
===================================================================
--- /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limrhg_2.F90	(revision 1854)
+++ /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limrhg_2.F90	(revision 1855)
@@ -4,9 +4,9 @@
    !!   Ice rheology :  performs sea ice rheology
    !!======================================================================
-   !! History :  0.0  !  93-12  (M.A. Morales Maqueda.)  Original code
-   !!            1.0  !  94-12  (H. Goosse) 
-   !!            2.0  !  03-12  (C. Ethe, G. Madec)  F90, mpp
-   !!            " "  !  06-08  (G. Madec)  surface module, ice-stress at I-point
-   !!            " "  !  09-09  (G. Madec)  Huge verctor optimisation
+   !! History :  0.0  !  1993-12  (M.A. Morales Maqueda.)  Original code
+   !!            1.0  !  1994-12  (H. Goosse) 
+   !!            2.0  !  1903-12  (C. Ethe, G. Madec)  F90, mpp
+   !!             -   !  2006-08  (G. Madec)  surface module, ice-stress at I-point
+   !!             -   !  2009-09  (G. Madec)  Huge verctor optimisation
    !!----------------------------------------------------------------------
 #if defined key_lim2
@@ -14,6 +14,5 @@
    !!   'key_lim2'                                    LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
-   !!----------------------------------------------------------------------
-   !!   lim_rhg_2   : computes ice velocities
+   !!   lim_rhg_2     : computes ice velocities
    !!----------------------------------------------------------------------
    USE par_oce        ! ocean parameter
@@ -34,11 +33,11 @@
    PUBLIC   lim_rhg_2 ! routine called by lim_dyn
 
-   REAL(wp) ::   rzero   = 0.e0   ! constant value: zero
-   REAL(wp) ::   rone    = 1.e0   !            and  one
+   REAL(wp) ::   rzero = 0.e0   ! constant value: zero
+   REAL(wp) ::   rone  = 1.e0   !            and  one
 
    !! * Substitutions
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   LIM 2.0,  UCL-LOCEAN-IPSL (2006) 
+   !! NEMO/LIM 3.3,  UCL-LOCEAN-IPSL (2010) 
    !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
@@ -56,6 +55,5 @@
       !!  viscous-plastic law including shear strength and a bulk rheology.
       !!
-      !! ** Action  : - compute u_ice, v_ice the sea-ice velocity defined
-      !!              at I-point
+      !! ** Action  : - compute u_ice, v_ice the sea-ice velocity defined at I-point
       !!-------------------------------------------------------------------
       INTEGER, INTENT(in) ::   k_j1    ! southern j-index for ice computation
@@ -582,8 +580,4 @@
    !!   Default option          Dummy module       NO 2.0 LIM sea-ice model
    !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE lim_rhg_2( k1 , k2 )       ! Dummy routine
-      WRITE(*,*) 'lim_rhg_2: You should not have seen this print! error?', k1, k2
-   END SUBROUTINE lim_rhg_2
 #endif
 
Index: /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limrst_2.F90
===================================================================
--- /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limrst_2.F90	(revision 1854)
+++ /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limrst_2.F90	(revision 1855)
@@ -2,13 +2,12 @@
    !!======================================================================
    !!                     ***  MODULE  limrst_2  ***
-   !! Ice restart :  write the ice restart file
+   !! LIM-2 ice model : open/read/write the restart file
    !!======================================================================
-   !! History :  2.0  !  01-04  (C. Ethe, G. Madec)  Original code
-   !!                 !  06-07  (S. Masson)  use IOM for restart read/write
+   !! History :  2.0  ! 2001-04  (C. Ethe, G. Madec)  Original code
+   !!                 ! 2006-07  (S. Masson)  use IOM for restart read/write
    !!----------------------------------------------------------------------
 #if defined key_lim2
    !!----------------------------------------------------------------------
    !!   'key_lim2' :                                  LIM 2.0 sea-ice model
-   !!----------------------------------------------------------------------
    !!----------------------------------------------------------------------
    !!   lim_rst_opn_2   : open ice restart file
@@ -20,5 +19,4 @@
    USE sbc_oce
    USE sbc_ice
-
    USE in_out_manager
    USE iom
@@ -35,5 +33,5 @@
 
    !!----------------------------------------------------------------------
-   !!   LIM 2.0,  UCL-LOCEAN-IPSL (2006) 
+   !! NEMO/LIM 3.3,  UCL-LOCEAN-IPSL (2010) 
    !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
@@ -84,4 +82,5 @@
    END SUBROUTINE lim_rst_opn_2
 
+
    SUBROUTINE lim_rst_write_2( kt )
       !!----------------------------------------------------------------------
@@ -91,5 +90,5 @@
       !!----------------------------------------------------------------------
       INTEGER, INTENT(in) ::   kt   ! number of iteration
-      !
+      !!
       INTEGER ::   iter   ! kt + nn_fsbc -1
       !!----------------------------------------------------------------------
@@ -181,5 +180,5 @@
       ENDIF
 
-      IF ( jprstlib == jprstdimg ) THEN
+      IF( jprstlib == jprstdimg ) THEN
         ! eventually read netcdf file (monobloc)  for restarting on different number of processors
         ! if {cn_icerst_in}.nc exists, then set jlibalt to jpnf90
@@ -188,5 +187,5 @@
       ENDIF
 
-      CALL iom_open ( cn_icerst_in, numrir, kiolib = jlibalt )
+      CALL iom_open( cn_icerst_in, numrir, kiolib = jlibalt )
 
       CALL iom_get( numrir, 'kt_ice' , ziter )
Index: /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limsbc_2.F90
===================================================================
--- /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limsbc_2.F90	(revision 1854)
+++ /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limsbc_2.F90	(revision 1855)
@@ -2,14 +2,13 @@
    !!======================================================================
    !!                       ***  MODULE limsbc_2   ***
-   !!           computation of the flux at the sea ice/ocean interface
+   !!   LIM 2 ice model :   heat, salt, mass and momentum fluxes at the sea ice/ocean interface
    !!======================================================================
-   !! History : 00-01 (H. Goosse) Original code
-   !!           02-07 (C. Ethe, G. Madec) re-writing F90
-   !!           06-07 (G. Madec) surface module
+   !! History :  LIM  ! 2000-01 (H. Goosse) Original code
+   !!            2.0  ! 2002-07 (C. Ethe, G. Madec) re-writing F90
+   !!             -   ! 2006-07 (G. Madec) surface module
    !!----------------------------------------------------------------------
 #if defined key_lim2
    !!----------------------------------------------------------------------
    !!   'key_lim2'                                    LIM 2.0 sea-ice model
-   !!----------------------------------------------------------------------
    !!----------------------------------------------------------------------
    !!   lim_sbc_2  : flux at the ice / ocean interface
@@ -20,5 +19,5 @@
    USE sbc_oce          ! surface boundary condition
    USE phycst           ! physical constants
-   USE ice_2            ! LIM sea-ice variables
+   USE ice_2            ! LIM 2 sea-ice variables
 
    USE lbclnk           ! ocean lateral boundary condition
@@ -33,5 +32,5 @@
    PRIVATE
 
-   PUBLIC lim_sbc_2     ! called by sbc_ice_lim_2
+   PUBLIC   lim_sbc_2   ! called by sbc_ice_lim_2
 
    REAL(wp)  ::   epsi16 = 1.e-16  ! constant values
@@ -44,5 +43,5 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   LIM 2.0,  UCL-LOCEAN-IPSL (2006) 
+   !! NEMO/LIM 3.3,  UCL-LOCEAN-IPSL (2010) 
    !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
@@ -109,8 +108,5 @@
          sice_r(:,:) = sice
          !
-         IF( cp_cfg == "orca"  .AND. jp_cfg == 2 ) THEN
-            !                                        ! =======================
-            !                                        !  ORCA_R2 configuration
-            !                                        ! =======================
+         IF( cp_cfg == "orca"  .AND. jp_cfg == 2 ) THEN             !  ORCA_R2 configuration
             ii0 = 145   ;   ii1 = 180        ! Baltic Sea
             ij0 = 113   ;   ij1 = 130   ;   soce_r(mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) ) = 4.e0
@@ -194,7 +190,7 @@
       END DO
 
-      CALL iom_put( 'hflx_ice_cea', - fdtcn(:,:) )      
-      CALL iom_put( 'qns_io_cea', qns(:,:) - zqnsoce(:,:) * pfrld(:,:) )      
-      CALL iom_put( 'qsr_io_cea', fstric(:,:) * (1. - pfrld(:,:)) )
+      CALL iom_put( 'hflx_ice_cea', - fdtcn(:,:)                         )      
+      CALL iom_put( 'qns_io_cea'  , qns(:,:) - zqnsoce(:,:) * pfrld(:,:) )      
+      CALL iom_put( 'qsr_io_cea'  , fstric(:,:) * (1. - pfrld(:,:))      )
 
       !------------------------------------------!
@@ -302,8 +298,7 @@
       !-----------------------------------------------!
 
-      IF ( lk_cpl ) THEN           
-         ! Ice surface temperature 
+      IF( lk_cpl ) THEN           
          tn_ice(:,:,1) = sist(:,:)          ! sea-ice surface temperature       
-         ! Computation of snow/ice and ocean albedo
+         !                                  ! snow/ice and ocean albedos
          CALL albedo_ice( tn_ice, reshape( hicif, (/jpi,jpj,1/) ), reshape( hsnif, (/jpi,jpj,1/) ), zalbp, zalb )
          alb_ice(:,:,1) =  0.5 * ( zalbp(:,:,1) + zalb (:,:,1) )   ! Ice albedo (mean clear and overcast skys)
@@ -312,12 +307,12 @@
 
       IF(ln_ctl) THEN
-         CALL prt_ctl(tab2d_1=qsr   , clinfo1=' lim_sbc: qsr    : ', tab2d_2=qns   , clinfo2=' qns     : ')
-         CALL prt_ctl(tab2d_1=emp   , clinfo1=' lim_sbc: emp    : ', tab2d_2=emps  , clinfo2=' emps    : ')
-         CALL prt_ctl(tab2d_1=utau  , clinfo1=' lim_sbc: utau   : ', mask1=umask,   &
-            &         tab2d_2=vtau  , clinfo2=' vtau    : '        , mask2=vmask )
-         CALL prt_ctl(tab2d_1=fr_i  , clinfo1=' lim_sbc: fr_i   : ', tab2d_2=tn_ice(:,:,1), clinfo2=' tn_ice  : ')
+         CALL prt_ctl( tab2d_1=qsr , clinfo1=' lim_sbc: qsr    : ', tab2d_2=qns  , clinfo2=' qns     : ' )
+         CALL prt_ctl( tab2d_1=emp , clinfo1=' lim_sbc: emp    : ', tab2d_2=emps , clinfo2=' emps    : ' )
+         CALL prt_ctl( tab2d_1=utau, clinfo1=' lim_sbc: utau   : ', mask1=umask,   &
+            &          tab2d_2=vtau, clinfo2=' vtau    : '        , mask2=vmask )
+         CALL prt_ctl( tab2d_1=fr_i, clinfo1=' lim_sbc: fr_i   : ', tab2d_2=tn_ice(:,:,1), clinfo2=' tn_ice  : ' )
       ENDIF 
-   
-    END SUBROUTINE lim_sbc_2
+      !
+   END SUBROUTINE lim_sbc_2
 
 #else
@@ -325,7 +320,4 @@
    !!   Default option :        Dummy module       NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE lim_sbc_2         ! Dummy routine
-   END SUBROUTINE lim_sbc_2
 #endif 
 
Index: /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limtab_2.F90
===================================================================
--- /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limtab_2.F90	(revision 1854)
+++ /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limtab_2.F90	(revision 1855)
@@ -2,12 +2,13 @@
    !!======================================================================
    !!                       ***  MODULE limtab_2   ***
-   !!              transform 1D (2D) array to a 2D (1D) table
+   !!   LIM 2 ice model : transform 1D (2D) array to a 2D (1D) array
    !!======================================================================
 #if defined key_lim2
    !!----------------------------------------------------------------------
-   !!   tab_2d_1d  : 2-D to 1-D
-   !!   tab_1d_2d  : 1-D to 2-D
+   !!   'key_lim2' :                                  LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
-   !! * Modules used
+   !!   tab_2d_1d_2  : 2-D to 1-D
+   !!   tab_1d_2d_2  : 1-D to 2-D
+   !!----------------------------------------------------------------------
    USE par_kind
 
@@ -15,10 +16,9 @@
    PRIVATE
 
-   !! * Routine accessibility
-   PUBLIC tab_2d_1d_2  ! called by lim_ther
-   PUBLIC tab_1d_2d_2  ! called by lim_ther
+   PUBLIC   tab_2d_1d_2   ! called by lim_thd_2
+   PUBLIC   tab_1d_2d_2   ! called by lim_thd_2
 
    !!----------------------------------------------------------------------
-   !!   LIM 2.0,  UCL-LOCEAN-IPSL (2005) 
+   !! NEMO/LIM 3.3,  UCL-LOCEAN-IPSL (2010) 
    !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
@@ -26,55 +26,49 @@
 CONTAINS
 
-   SUBROUTINE tab_2d_1d_2 ( ndim1d, tab1d, tab2d, ndim2d_x, ndim2d_y, tab_ind )
-
-      INTEGER, INTENT(in) :: &
-         ndim1d, ndim2d_x, ndim2d_y
-
-      REAL(wp), DIMENSION (ndim2d_x, ndim2d_y), INTENT(in) ::  &
-         tab2d
-
-      INTEGER, DIMENSION ( ndim1d), INTENT ( in) :: &
-         tab_ind
-
-      REAL(wp), DIMENSION(ndim1d), INTENT ( out) ::  & 
-         tab1d
-
-      INTEGER ::  &
-         jn , jid, jjd
-        
-      DO jn = 1, ndim1d
-         jid        = MOD( tab_ind(jn) - 1, ndim2d_x ) + 1
-         jjd        = ( tab_ind(jn) - 1 ) / ndim2d_x + 1
-         tab1d( jn) = tab2d( jid, jjd)
+   SUBROUTINE tab_2d_1d_2( kdim1d, ptab1d, ptab2d, kdim2d_i, kdim2d_j, ptab_ind )
+      !!-------------------------------------------------------------------
+      INTEGER , INTENT(in   )                                ::   kdim1d
+      INTEGER , INTENT(in   )                                ::   kdim2d_i, kdim2d_j
+      REAL(wp), INTENT(in   ), DIMENSION(kdim2d_i, kdim2d_j) ::   ptab2d
+      INTEGER , INTENT(in   ), DIMENSION(kdim1d)             ::   ptab_ind
+      REAL(wp), INTENT(  out), DIMENSION(kdim1d)             ::   ptab1d
+      !!
+      INTEGER ::   jn , jid, jjd   ! dummy loop indices
+      !!-------------------------------------------------------------------
+      ! 
+      DO jn = 1, kdim1d
+         jid = MOD( ptab_ind(jn) - 1, kdim2d_i ) + 1
+         jjd = ( ptab_ind(jn) - 1 ) / kdim2d_i + 1
+         ptab1d(jn) = ptab2d(jid,jjd)
       END DO 
-
+      !
    END SUBROUTINE tab_2d_1d_2
 
 
-   SUBROUTINE tab_1d_2d_2 ( ndim1d, tab2d, tab_ind, tab1d, ndim2d_x, ndim2d_y )
-
-      INTEGER, INTENT ( in) :: &
-         ndim1d, ndim2d_x, ndim2d_y
-
-      INTEGER, DIMENSION (ndim1d) , INTENT (in) :: &
-         tab_ind
-
-      REAL(wp), DIMENSION(ndim1d), INTENT (in) ::  &
-         tab1d  
-
-      REAL(wp), DIMENSION (ndim2d_x, ndim2d_y), INTENT ( out) :: &
-         tab2d
-
-      INTEGER :: &
-         jn, jid, jjd
-
-      DO jn = 1, ndim1d
-         jid             = MOD( tab_ind(jn) - 1, ndim2d_x) + 1
-         jjd             =    ( tab_ind(jn) - 1 ) / ndim2d_x  + 1
-         tab2d(jid, jjd) = tab1d( jn)
+   SUBROUTINE tab_1d_2d_2( kdim1d, ptab2d, ptab_ind, ptab1d, kdim2d_i, kdim2d_j )
+      !!-------------------------------------------------------------------
+      INTEGER , INTENT(in   )                                ::   kdim1d
+      INTEGER , INTENT(in   )                                ::   kdim2d_i, kdim2d_j
+      INTEGER , INTENT(in   ), DIMENSION(kdim1d)             ::   ptab_ind
+      REAL(wp), INTENT(in   ), DIMENSION(kdim1d)             ::   ptab1d
+      REAL(wp), INTENT(  out), DIMENSION(kdim2d_i, kdim2d_j) ::   ptab2d
+      !!
+      INTEGER ::   jn, jid, jjd   ! dummy loop indices
+      !!-------------------------------------------------------------------
+      !
+      DO jn = 1, kdim1d
+         jid = MOD( ptab_ind(jn) - 1, kdim2d_i) + 1
+         jjd =    ( ptab_ind(jn) - 1 ) / kdim2d_i  + 1
+         ptab2d(jid,jjd) = ptab1d(jn)
       END DO
-
+      !
    END SUBROUTINE tab_1d_2d_2
 
+#else
+   !!----------------------------------------------------------------------
+   !!   Default option          Dummy module       NO LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
 #endif
+
+   !!======================================================================
 END MODULE limtab_2
Index: /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limthd_2.F90
===================================================================
--- /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limthd_2.F90	(revision 1854)
+++ /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limthd_2.F90	(revision 1855)
@@ -2,10 +2,10 @@
    !!======================================================================
    !!                  ***  MODULE limthd_2   ***
-   !!              LIM thermo ice model : ice thermodynamic
+   !!   LIM 2 ice model : thermodynamics
    !!======================================================================
-   !! History :  1.0  ! 2000-01 (LIM)
+   !! History :  LIM  ! 2000-01 (UCL) Original code
    !!            2.0  ! 2002-07 (C. Ethe, G. Madec) F90
-   !!            2.0  ! 2003-08 (C. Ethe)  add lim_thd_init
-   !!             -   ! 2008-2008  (A. Caubel, G. Madec, E. Maisonnave, S. Masson ) generic coupled interface
+   !!             -   ! 2003-08 (C. Ethe)  add lim_thd_init
+   !!             -   ! 2008-08  (A. Caubel, G. Madec, E. Maisonnave, S. Masson ) generic coupled interface
    !!---------------------------------------------------------------------
 #if defined key_lim2
@@ -13,5 +13,5 @@
    !!   'key_lim2' :                                  LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
-   !!   lim_thd_2      : thermodynamic of sea ice
+   !!   lim_thd_2      : thermodynamics of sea ice
    !!   lim_thd_init_2 : initialisation of sea-ice thermodynamic
    !!----------------------------------------------------------------------
@@ -23,9 +23,8 @@
    USE lib_mpp
    USE iom             ! IOM library
-   USE ice_2           ! LIM sea-ice variables
+   USE ice_2           ! LIM 2 sea-ice variables
    USE sbc_oce         ! 
    USE sbc_ice         ! 
-   USE thd_ice_2       ! LIM thermodynamic sea-ice variables
-   USE dom_ice_2       ! LIM sea-ice domain
+   USE dom_ice_2       ! LIM 2 sea-ice domain
    USE limthd_zdf_2
    USE limthd_lac_2
@@ -49,6 +48,6 @@
 #  include "domzgr_substitute.h90"
 #  include "vectopt_loop_substitute.h90"
-   !!-------- -------------------------------------------------------------
-   !! NEMO/LIM 3.2,  UCL-LOCEAN-IPSL (2009) 
+   !!----------------------------------------------------------------------
+   !! NEMO/LIM 3.3,  UCL-LOCEAN-IPSL (2010) 
    !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
@@ -566,7 +565,4 @@
    !!   Default option          Dummy module       NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE lim_thd_2         ! Dummy routine
-   END SUBROUTINE lim_thd_2
 #endif
 
